libzypp 17.37.10

Selectable.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/ui/SelectableTraits.h>`
`#include <zypp/ui/Status.h>`

Go to the source code of this file.

## Classes
class | zypp::ui::Selectable
| Collects PoolItems of same kind and name. More...
struct | zypp::ui::asSelectable
| Solvable to Selectable transform functor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::ui

## Functions
| zypp::ui::DEFINE_PTR_TYPE (Selectable)